#gridBlocksHP2{
    display: grid;
    align-items: stretch;
}

#gridBlocksHP2 > * > a{
    flex: 1 1 auto;
}

@media (min-width: 768px) {
    #gridBlocksHP2{
        container-type: inline-size;
        container-name: gridBlocksHP2;
        grid-template-columns: repeat(8, 1fr) !important;
        grid-template-rows: repeat(6, 1fr) !important;
    }

    #gridBlocksHP2 > * > a{
        display: block;
        height: 100%;
        width: 100%;
    }
}

@container gridBlocksHP2 (min-width: 565px) {
    body.elementor-editor-active #gridBlocksHP2 > *:nth-child(4),
    body:not(.elementor-editor-active) #gridBlocksHP2 > *:nth-child(1){
        grid-column: 1 / 5;
        grid-row: 1 / 5;
    }

    body.elementor-editor-active #gridBlocksHP2 > *:nth-child(5),
    body:not(.elementor-editor-active) #gridBlocksHP2 > *:nth-child(2){
        grid-column: 5 / 9;
        grid-row: 1 / 3;
    }

    body.elementor-editor-active #gridBlocksHP2 > *:nth-child(6),
    body:not(.elementor-editor-active) #gridBlocksHP2 > *:nth-child(3){
        grid-column: 1 / 5;
        grid-row: 1 / 5;
    }

    body.elementor-editor-active #gridBlocksHP2 > *:nth-child(7),
    body:not(.elementor-editor-active) #gridBlocksHP2 > *:nth-child(4){
        grid-column: 5 / 9;
        grid-row: 1 / 3;
    }

    body.elementor-editor-active #gridBlocksHP2 > *:nth-child(8),
    body:not(.elementor-editor-active) #gridBlocksHP2 > *:nth-child(5){
        grid-column: 1 / 5;
        grid-row: 5 / 7;
    }

    body.elementor-editor-active #gridBlocksHP2 > *:nth-child(9),
    body:not(.elementor-editor-active) #gridBlocksHP2 > *:nth-child(6){
        grid-column: 5 / 9;
        grid-row: 3 / 7;
    }

    body.elementor-editor-active #gridBlocksHP2 > *:nth-child(10),
    body:not(.elementor-editor-active) #gridBlocksHP2 > *:nth-child(7){
        grid-column: 1 / 5;
        grid-row: 5 / 7;
    }

    body.elementor-editor-active #gridBlocksHP2 > *:nth-child(11),
    body:not(.elementor-editor-active) #gridBlocksHP2 > *:nth-child(8){
        grid-column: 5 / 9;
        grid-row: 3 / 7;
    }
}
@container gridBlocksHP2 (min-width: 1024px) {
    body.elementor-editor-active #gridBlocksHP2 > *:nth-child(4),
    body:not(.elementor-editor-active) #gridBlocksHP2 > *:nth-child(1){
        grid-column: 1 / 3;
        grid-row: 1 / 5;
    }

    body.elementor-editor-active #gridBlocksHP2 > *:nth-child(5),
    body:not(.elementor-editor-active) #gridBlocksHP2 > *:nth-child(2){
        grid-column: 3 / 5;
        grid-row: 1 / 3;
    }

    body.elementor-editor-active #gridBlocksHP2 > *:nth-child(6),
    body:not(.elementor-editor-active) #gridBlocksHP2 > *:nth-child(3){
        grid-column: 5 / 7;
        grid-row: 1 / 5;
    }

    body.elementor-editor-active #gridBlocksHP2 > *:nth-child(7),
    body:not(.elementor-editor-active) #gridBlocksHP2 > *:nth-child(4){
        grid-column: 7 / 9;
        grid-row: 1 / 3;
    }

    body.elementor-editor-active #gridBlocksHP2 > *:nth-child(8),
    body:not(.elementor-editor-active) #gridBlocksHP2 > *:nth-child(5){
        grid-column: 1 / 3;
        grid-row: 5 / 7;
    }

    body.elementor-editor-active #gridBlocksHP2 > *:nth-child(9),
    body:not(.elementor-editor-active) #gridBlocksHP2 > *:nth-child(6){
        grid-column: 3 / 5;
        grid-row: 3 / 7;
    }

    body.elementor-editor-active #gridBlocksHP2 > *:nth-child(10),
    body:not(.elementor-editor-active) #gridBlocksHP2 > *:nth-child(7){
        grid-column: 5 / 7;
        grid-row: 5 / 7;
    }

    body.elementor-editor-active #gridBlocksHP2 > *:nth-child(11),
    body:not(.elementor-editor-active) #gridBlocksHP2 > *:nth-child(8){
        grid-column: 7 / 9;
        grid-row: 3 / 7;
    }
}



